//Setting the preference
if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
   if(!$RTB::RTBR_ServerControl_Hook)
      exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
   RTB_registerPref("Maximum Weapons","Multi Slots Player","MultiSlotPlayer::Slots","int 1 9","Player_MultipleSlots",8,1,1);
}
else
{
   $MultiSlotPlayer::Slots = 8;
}

//Player with multiple slots
datablock PlayerData(PlayerMultiSlotArmor : PlayerStandardArmor)
{
	maxTools = $MultiSlotPlayer::Slots;
	maxWeapons = $MultiSlotPlayer::Slots;
	uiName = $MultiSlotPlayer::Slots @ "-Slot Player";
};

//Player with multiple slots, that can't jet
datablock PlayerData(PlayerMultiSlotNoJetArmor : PlayerStandardArmor)
{
	maxTools = $MultiSlotPlayer::Slots;
	maxWeapons = $MultiSlotPlayer::Slots;
	uiName = $MultiSlotPlayer::Slots @ "-Slot No Jet Player";
	canjet = 0;
};

//Setting the support so we can see all Slots
package InventorySlotAdjustment
{
	function Armor::onNewDatablock(%data,%this)
	{
		Parent::onNewDatablock(%data,%this);
		if(isObject(%this.client) && %data.maxTools != %this.client.lastMaxTools)
		{
			%this.client.lastMaxTools = %data.maxTools;
			commandToClient(%this.client,'PlayGui_CreateToolHud',%data.maxTools);
			for(%i=0;%i<%data.maxTools;%i++)
			{
				if(isObject(%this.tool[%i]))
					messageClient(%this.client,'MsgItemPickup',"",%i,%this.tool[%i].getID(),1);
				else
					messageClient(%this.client,'MsgItemPickup',"",%i,0,1);
			}
		}
	}
	function GameConnection::setControlObject(%this,%obj)
	{
		Parent::setControlObject(%this,%obj);
		if(%obj == %this.player && %obj.getDatablock().maxTools != %this.lastMaxTools)
		{
			%this.lastMaxTools = %obj.getDatablock().maxTools;
			commandToClient(%this,'PlayGui_CreateToolHud',%obj.getDatablock().maxTools);
		}
	}
	function Player::changeDatablock(%this,%data,%client)
	{
		if(%data != %this.getDatablock() && %data.maxTools != %this.client.lastMaxTools)
		{
			%this.client.lastMaxTools = %data.maxTools;
			commandToClient(%this.client,'PlayGui_CreateToolHud',%data.maxTools);
		}
		Parent::changeDatablock(%this,%data,%client);
	}
};
activatePackage(InventorySlotAdjustment);
